#!/usr/bin/env bash
# REQUIRES: cargo install wasm-pack

NAME="bin-wasm-template"
TMP="target/tmp-web"

# replace name in Cargo.toml
sed -i 's/name = "bin-wasm-template"/name = "'$NAME'"/g' Cargo.toml

# compile web application
wasm-pack build --release --target web -d "$TMP"

# assemble web application
B=$(echo $NAME | tr '-' '_')
rm -rf web-application
mkdir web-application
cp "$TMP/${B}.js" "web-application/wasm-app.js"
sed -i "s&${B}_bg.wasm&wasm-app-bg.wasm&g" "web-application/wasm-app.js"
cp "$TMP/${B}_bg.wasm" "web-application/wasm-app-bg.wasm"
cp "src/index.html" "web-application/"

